package com.bonus.core.marketing.v2.rule.price.dto;

import com.fasterxml.jackson.databind.JsonNode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel("计价规则出参-钱包明细")
public class RulePriceWalletDTO {
   @ApiModelProperty("钱包类型id")
   private Integer walletId;
   @ApiModelProperty("对应钱包交易金额/分")
   private BigDecimal amount;
   @ApiModelProperty("交易类型")
   private Integer tradeType;
   @ApiModelProperty("预留字段")
   private JsonNode extInfo;

   public Integer getWalletId() {
      return this.walletId;
   }

   public BigDecimal getAmount() {
      return this.amount;
   }

   public Integer getTradeType() {
      return this.tradeType;
   }

   public JsonNode getExtInfo() {
      return this.extInfo;
   }

   public RulePriceWalletDTO setWalletId(final Integer walletId) {
      this.walletId = walletId;
      return this;
   }

   public RulePriceWalletDTO setAmount(final BigDecimal amount) {
      this.amount = amount;
      return this;
   }

   public RulePriceWalletDTO setTradeType(final Integer tradeType) {
      this.tradeType = tradeType;
      return this;
   }

   public RulePriceWalletDTO setExtInfo(final JsonNode extInfo) {
      this.extInfo = extInfo;
      return this;
   }

   public RulePriceWalletDTO(final Integer walletId, final BigDecimal amount, final Integer tradeType, final JsonNode extInfo) {
      this.walletId = walletId;
      this.amount = amount;
      this.tradeType = tradeType;
      this.extInfo = extInfo;
   }

   public RulePriceWalletDTO() {
   }
}
